VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CPowerPointEvents"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

' collection to hold controls
Private pControlsColl As Collection
' application for events
Private WithEvents PPTApp As PowerPoint.Application
Attribute PPTApp.VB_VarHelpID = -1

' user interface controls
Private WithEvents pMenuItem1 As Office.CommandBarButton

Private Sub Class_Initialize()
    Set pControlsColl = New Collection
    Set PPTApp = modGlobals.PPT
    SetupControls
End Sub

Private Sub Class_Terminate()
    ''''''''''''''''''''''''''''''''''''''
    ' Get rid of any existing controls.
    '''''''''''''''''''''''''''''''''''''
    Dim Ctrl As Office.CommandBarControl
    Do Until pControlsColl.Count = 0
        pControlsColl(1).Delete
        pControlsColl.Remove 1
    Loop
    Set PPTApp = Nothing
End Sub

Private Sub SetupControls()
    ''''''''''''''''''''''''''''''''''''''''''''''''''''
    ' Setup one control. Repeat this code for all other
    ' user interface elements.
    ''''''''''''''''''''''''''''''''''''''''''''''''''''
    Set pMenuItem1 = PPTApp.CommandBars.FindControl(Id:=C_POWERPOINT_TOOLS_MENU_ID).Controls.Add( _
        Type:=msoControlButton, temporary:=True)
    With pMenuItem1
        .BeginGroup = True
        .Caption = "Click Me PowerPoint"
    End With
    pControlsColl.Add pMenuItem1
End Sub



Private Sub pMenuItem1_Click(ByVal Ctrl As Office.CommandBarButton, CancelDefault As Boolean)
    MsgBox "Menu Item Click From PowerPoint COM Add In"
End Sub

Private Sub PPTApp_NewPresentation(ByVal Pres As PowerPoint.Presentation)
    MsgBox "New Presentation from COM Add In: " & Pres.Name
End Sub

